Bug 101430 - LibreOffice5.0.4.2 64 bit software crashes while generating docx output with HTML table
Summary: LibreOffice5.0.4.2 64 bit software crashes while generating docx output wit...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: sdk (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: HTML-Paste
  Show dependency treegraph
 
Reported: 2016-08-10 10:44 UTC by jvchbabu
Modified: 2018-04-04 13:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Java source project and sample source and output files (1.63 MB, application/zip)
2016-08-10 10:49 UTC, jvchbabu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jvchbabu 2016-08-10 10:44:25 UTC
We use LibreOffice 5.0.4.2 to create  .docx and .doc documents using UNO Java API.
 
We use MS Word 97 filter to produce .doc documents and MS Word 2007 XML  to produce .docx documents.

 We have a table content from HTML file. The table has three rows and three columns. All the rows has data in it.
 
We have a bookmark  in both .doc and .docx files and used XDocumentInsertable.insertDocumentFromURL API to insert text from HTML file in place of bookmark XTextCursor and produce doc and docx output.

We used LibreOffice_5.0.4_Win_x86.msi(32 bit) and LibreOffice_5.0.4_Win_x64.msi(64bit).

 We use below command to start LibreOffice 5.0.4.2(64 bit)
Command to start:
-----------------
soffice -invisible "-accept=socket,host=localhost,port=8100;urp;StarOffice.ServiceManager"

 The issue is LibreOffice  crashes every time  while producing  docx ouput when the source html  is table. But it works for doc output.

 We have LibreOffice_5.0.4_Win_x86.msi(32 bit) and it's bale to produce both doc aND  docx output with out any issues.

 Please find project.zip for sample program source html and generated output.

I attached my source project  as eclipse project and attached all source content files, template and sample output files.
 Please follow the below steps:
1) Extract zip file content.
2) Import Libre as java project.
3) Run DocumentGenerator.java by passing full path of template, full path of output file and full path of source html file.
 
Sample  arguments:
   
  "D:\libre\template.doc" "D:\libre\output.doc" "D:\libre\table.html"
4) template and source html files are part of zip file content.




Please let me know if you have need any more information.
Comment 1 jvchbabu 2016-08-10 10:49:37 UTC
Created attachment 126724 [details]
Java source project and sample source and output files
Comment 2 Julien Nabet 2016-08-20 14:56:08 UTC
5.0 branch is EOL (see https://wiki.documentfoundation.org/ReleasePlan#Dates)
Please give a try to LO 5.1.5
Comment 3 jvchbabu 2016-08-24 07:00:30 UTC
Thanks for the update, I will check this on 5.1.5 and update you back.
Comment 4 jvchbabu 2016-08-24 11:16:39 UTC
I tried it with LibreOffice 5.1.5.2(X86_64 bit), the issue is reproducible.
Comment 5 Julien Nabet 2016-08-24 13:53:06 UTC
"Version" field must correspond to the oldest version where the bug is present.
So I revert back value of "Version" field.
Comment 6 jvchbabu 2016-09-20 10:07:56 UTC
Cloud please look into this bug and provide update. Please let me know if need more information or help in reproducing the issue.
Comment 7 Timur 2017-07-21 10:12:51 UTC
Please see Bug 105769 and test with a current prerelease 5.4.0 from  https://www.libreoffice.org/download/ and also with http://dev-builds.libreoffice.org/daily/master/ to see if still persists. 

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior. And some specifics, to find out why Aron couldn't reproduce. 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System.
Comment 8 QA Administrators 2018-03-02 10:00:54 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2018-04-04 13:26:26 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180404